#ifndef TILESET_H
#define TILESET_H

/* The Carcassonne default tileset */
typedef struct {
   int amount;
   int up, left, right, down;
   int flags;
} DEFAULT_TILESET;

extern DEFAULT_TILESET *game_tileset;
extern DEFAULT_TILESET *start_tiles;
extern int num_tile_types;
extern int num_start_tiles;
extern int num_start_tile_types;

extern void load_tileset(const char *name);
extern void load_starttile(const char *name);
extern void unload_tileset(void);
#endif
